=== debian/control ===
Source: telegram-desktop
Section: net
Priority: optional
Maintainer: Nicholas Guriev <guriev-ns@ya.ru>
Build-Depends: debhelper-compat (=12)
Build-Depends-Arch:
 cmake (>=3.16.0),
 libavcodec-dev (>=7:3.2),
 libavformat-dev (>=7:3.2),
 libayatana-appindicator3-dev | libayatana-appindicator-dev | libappindicator3-dev | libappindicator-dev,
 libdbusmenu-qt5-dev,
 libenchant-dev | libenchant-2-dev,
 libexpected-dev,
 libgtk2.0-dev,
 liblz4-dev,
 liblzma-dev,
 libmapbox-variant-dev,
 libminizip-dev (>=1.1),
 libmsgsl-dev (>=1.0.0), libmsgsl-dev (<<2.0.0) | libmsgsl-dev (>=2.1.0),
 libopenal-dev,
 libopus-dev (>=1.1),
 libqrcodegencpp-dev,
 librange-v3-dev (>=0.10.0),
 librlottie-dev,
 libssl-dev (>=1.0.1),
 libswscale-dev (>=7:3.2),
 libtgvoip-dev (>=2.4.4),
 libxxhash-dev,
 qtbase5-dev (>=5.9.0),
 qtbase5-private-dev (>=5.9.0),
 zlib1g-dev (>=1:1.2.8),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://desktop.telegram.org
Vcs-Git: https://salsa.debian.org/debian/telegram-desktop.git
Vcs-Browser: https://salsa.debian.org/debian/telegram-desktop

Package: telegram-desktop
# Only little endian is supported.
Architecture: amd64 arm64 armel armhf hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips64el mipsel ppc64el riscv64 sh4 x32
Depends: qt5-image-formats-plugins (>=5.9.0), ${misc:Depends}, ${shlibs:Depends}
Recommends: fonts-open-sans
Built-Using: ${cpplibs:Built-Using}
Description: fast and secure messaging application
 Telegram is a messaging app with a focus on speed and security, it is
 super-fast, simple and free. You can use Telegram on all your devices at the
 same time — your messages sync seamlessly across any number of your phones,
 tablets or computers.
