## telegram-desktop 1.9.19+ds

=== Telegram/CMakeLists.txt ===
--- 
+++ 
@@ -66,23 +66,16 @@
 
 set_target_properties(Telegram PROPERTIES AUTOMOC ON AUTORCC ON)
 
-if (DESKTOP_APP_USE_PACKAGED)
-    set(CMAKE_THREAD_PREFER_PTHREAD TRUE)
-    find_package(Threads)
-
-    target_link_libraries(Telegram
-    PRIVATE
-        ${CMAKE_DL_LIBS}
-        Threads::Threads
-    )
-endif()
-
-if (LINUX AND NOT TDESKTOP_DISABLE_DBUS_INTEGRATION)
+if (LINUX AND NOT DESKTOP_APP_DISABLE_DBUS_INTEGRATION)
     target_link_libraries(Telegram
     PRIVATE
         desktop-app::external_statusnotifieritem
         desktop-app::external_dbusmenu_qt
     )
+endif()
+
+if (add_hunspell_library)
+    target_link_libraries(Telegram PRIVATE desktop-app::external_hunspell)
 endif()
 
 target_link_libraries(Telegram
@@ -122,6 +115,17 @@
 " HAVE_LONG_ATOMIC_WITHOUT_LIB)
 if (NOT HAVE_LONG_ATOMIC_WITHOUT_LIB)
     target_link_libraries(Telegram PRIVATE atomic)
+endif()
+
+if (DESKTOP_APP_USE_PACKAGED)
+    set(CMAKE_THREAD_PREFER_PTHREAD TRUE)
+    find_package(Threads)
+
+    target_link_libraries(Telegram
+    PRIVATE
+        ${CMAKE_DL_LIBS}
+        Threads::Threads
+    )
 endif()
 
 target_precompile_headers(Telegram PRIVATE ${src_loc}/stdafx.h)
@@ -185,6 +189,8 @@
     boxes/connection_box.h
     boxes/create_poll_box.cpp
     boxes/create_poll_box.h
+    boxes/dictionaries_manager.cpp
+    boxes/dictionaries_manager.h
     boxes/download_path_box.cpp
     boxes/download_path_box.h
     boxes/edit_caption_box.cpp
@@ -257,6 +263,8 @@
     chat_helpers/gifs_list_widget.h
     chat_helpers/message_field.cpp
     chat_helpers/message_field.h
+    chat_helpers/spellchecker_common.cpp
+    chat_helpers/spellchecker_common.h
     chat_helpers/stickers.cpp
     chat_helpers/stickers.h
     chat_helpers/stickers_emoji_pack.cpp
@@ -335,6 +343,8 @@
     data/data_game.h
     data/data_groups.cpp
     data/data_groups.h
+    data/data_histories.cpp
+    data/data_histories.h
     data/data_location.cpp
     data/data_location.h
     data/data_media_rotation.cpp
@@ -397,11 +407,3 @@
     dialogs/dialogs_row.h
     dialogs/dialogs_search_from_controllers.cpp
     dialogs/dialogs_search_from_controllers.h
-    dialogs/dialogs_widget.cpp
-    dialogs/dialogs_widget.h
-    export/view/export_view_content.cpp
-    export/view/export_view_content.h
-    export/view/export_view_panel_controller.cpp
-    export/view/export_view_panel_controller.h
-    export/view/export_view_progress.cpp
-    export/view/export_view_progress.h
