=== cmake/external/CMakeLists.txt ===
--- 
+++ 
@@ -6,12 +6,15 @@
 
 add_subdirectory(auto_updates)
 add_subdirectory(crash_reports)
-if (LINUX)
+if (LINUX AND NOT DESKTOP_APP_DISABLE_DBUS_INTEGRATION)
     add_subdirectory(dbusmenu_qt)
 endif()
 add_subdirectory(expected)
 add_subdirectory(ffmpeg)
 add_subdirectory(gsl)
+if (add_hunspell_library)
+	add_subdirectory(hunspell)
+endif()
 add_subdirectory(iconv)
 add_subdirectory(lz4)
 add_subdirectory(openal)
@@ -24,7 +27,7 @@
 if (APPLE)
     add_subdirectory(sp_media_key_tap)
 endif()
-if (LINUX)
+if (LINUX AND NOT DESKTOP_APP_DISABLE_DBUS_INTEGRATION)
     add_subdirectory(statusnotifieritem)
 endif()
 add_subdirectory(variant)
