=== debian/changelog ===
telegram-desktop (1.9.19+ds-0.1~mx19+1) mx; urgency=medium

  * New upstream release.
  * Refresh Unset-Qt-platform-theme.patch.
  * Add libhunspell-dev to BDs.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 11 Mar 2020 17:15:29 -0700

telegram-desktop (1.9.14+ds-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 20 Feb 2020 17:40:33 -0800
