=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: telegram-desktop
 Section: net
 Priority: optional
-Maintainer: Nicholas Guriev <guriev-ns@ya.ru>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Nicholas Guriev <guriev-ns@ya.ru>
 Build-Depends: debhelper-compat (=12)
 Build-Depends-Arch:
  cmake (>=3.16.0),
@@ -12,6 +13,7 @@
  libenchant-dev | libenchant-2-dev,
  libexpected-dev,
  libgtk2.0-dev,
+ libhunspell-dev,
  liblz4-dev,
  liblzma-dev,
  libmapbox-variant-dev,
