=== debian/rules ===
--- 
+++ 
@@ -14,9 +14,9 @@
  EXTRA_CMAKE_VARIABLES += CMAKE_AUTOGEN_VERBOSE=ON
 endif
 
+# Workarounds for non-Linux systems
 ifneq ($(DEB_HOST_ARCH_OS),linux)
- # Mimic Linux on non-Linux hosts.
- export DEB_CPPFLAGS_MAINT_APPEND = -DQ_OS_LINUX
+ EXTRA_MACROS += Q_OS_LINUX  # brilliant bluff :)
 endif
 
 CPPLIBS_PACKAGES = libexpected-dev libmapbox-variant-dev libmsgsl-dev librange-v3-dev libtgvoip-dev
@@ -44,3 +44,6 @@
 
 override_dh_gencontrol:
 	dh_gencontrol -- $(EXTRA_SUBSTVARS:%="-V%")
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
