## telegram-desktop 1.9.21+ds

=== Telegram/CMakeLists.txt ===
--- 
+++ 
@@ -94,6 +94,7 @@
     desktop-app::external_lz4
     desktop-app::external_rlottie
     desktop-app::external_zlib
+    desktop-app::external_minizip
     desktop-app::external_qt
     desktop-app::external_qr_code_generator
     desktop-app::external_crash_reports
@@ -406,4 +407,3 @@
     dialogs/dialogs_row.cpp
     dialogs/dialogs_row.h
     dialogs/dialogs_search_from_controllers.cpp
-    dialogs/dialogs_search_from_controllers.h
