=== debian/control ===
--- 
+++ 
@@ -3,17 +3,16 @@
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Nicholas Guriev <guriev-ns@ya.ru>
+# Build-Depends: debhelper (>=12.8~), debhelper-compat (=12)
 Build-Depends: debhelper-compat (=12)
 Build-Depends-Arch:
  cmake (>=3.16.0),
  libavcodec-dev (>=7:3.2),
  libavformat-dev (>=7:3.2),
- libayatana-appindicator3-dev | libayatana-appindicator-dev | libappindicator3-dev | libappindicator-dev,
  libdbusmenu-qt5-dev,
  libenchant-dev | libenchant-2-dev,
  libexpected-dev,
  libgtk2.0-dev,
- libhunspell-dev,
  liblz4-dev,
  liblzma-dev,
  libmapbox-variant-dev,
@@ -40,8 +39,11 @@
 Package: telegram-desktop
 # Only little endian is supported.
 Architecture: amd64 arm64 armel armhf hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips64el mipsel ppc64el riscv64 sh4 x32
-Depends: qt5-image-formats-plugins (>=5.9.0), ${misc:Depends}, ${shlibs:Depends}
-Recommends: fonts-open-sans
+Depends: qt5-image-formats-plugins (>=5.9.0),
+         ${misc:Depends},
+         ${shlibs:Depends},
+         fonts-open-sans
+# Recommends: fonts-open-sans
 Built-Using: ${cpplibs:Built-Using}
 Description: fast and secure messaging application
  Telegram is a messaging app with a focus on speed and security, it is
