=== debian/rules ===
--- 
+++ 
@@ -6,17 +6,17 @@
 	TDESKTOP_API_ID=50322 \
 	TDESKTOP_API_HASH=9ff1a639196c0779c86dd661af8522ba \
 	TDESKTOP_FORCE_GTK_FILE_DIALOG=ON \
+	DESKTOP_APP_USE_ENCHANT=ON \
 	DESKTOP_APP_USE_PACKAGED_QRCODE=ON \
-	CMAKE_SKIP_INSTALL_ALL_DEPENDENCY=ON \
-	third_party_loc=$(CURDIR)/debian
+	CMAKE_SKIP_INSTALL_ALL_DEPENDENCY=ON
 
 ifeq ($(filter terse,$(DEB_BUILD_OPTIONS)),)
  EXTRA_CMAKE_VARIABLES += CMAKE_AUTOGEN_VERBOSE=ON
 endif
 
-# Workarounds for non-Linux systems
 ifneq ($(DEB_HOST_ARCH_OS),linux)
- EXTRA_MACROS += Q_OS_LINUX  # brilliant bluff :)
+ # Mimic Linux on non-Linux hosts.
+ export DEB_CPPFLAGS_MAINT_APPEND = -DQ_OS_LINUX
 endif
 
 CPPLIBS_PACKAGES = libexpected-dev libmapbox-variant-dev libmsgsl-dev librange-v3-dev libtgvoip-dev
@@ -33,7 +33,12 @@
 	dh $@
 
 override_dh_auto_configure:
+	ln -s -r debian Telegram/ThirdParty
 	dh_auto_configure -- $(EXTRA_CMAKE_VARIABLES:%=-D%)
+
+# Remove symbolic link for access to StatusNotifierItem module.
+execute_after_dh_auto_clean:
+	rm -f Telegram/ThirdParty
 
 override_dh_installchangelogs:
 	dh_installchangelogs changelog.txt
